Bug 430075 - Make SELinux play nicer with chroot
Make SELinux play nicer with chroot
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
16
All Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
: Reopened
: 459398 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-24 08:12 EST by James Morris
Modified: 2013-01-09 23:33 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-04 09:47:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Morris 2008-01-24 08:12:08 EST
Some uses of chroot, such as building packages for different releases, clash
with SELinux as they may need to use different security policies to what is
available on the host system.

See discussion at:
https://www.redhat.com/archives/fedora-devel-list/2008-January/msg02145.html

There has been some internal SELinux project discussion on the issue of allowing
multiple policies to be loaded on a system (perhaps via namespaces), which is
also a requirement for fully supporting the shipping of policy with RPMs (e.g.
the file system labels for the RPM being built may not exist on the host system,
and also use different policy).
Comment 1 Bug Zapper 2008-05-14 00:52:16 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Daniel Walsh 2008-07-02 13:47:31 EDT
livecd patches and setfiles_mac are in or going into Rawhide.  Which will allow
livecd to be built within an enforcing environment.
Comment 3 Alan Pevec 2008-11-22 09:58:19 EST
*** Bug 459398 has been marked as a duplicate of this bug. ***
Comment 4 Bug Zapper 2009-06-09 19:25:48 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Need Real Name 2009-06-15 13:35:21 EDT
james morris: Please can the version be bumped to 11?
Comment 6 Carl G. 2010-01-16 22:26:13 EST
Feedback about that ?

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Alan Pevec 2010-04-01 06:14:16 EDT
James, can multiple policies be loaded on a system now?
Comment 8 Daniel Walsh 2010-04-01 10:16:48 EDT
no.  We are adding changes to MOCK to stop it from doing SELinux activity inside the chroot, which will allow us to enforce policy on the entire mock environment and mock will not try to load policy.
Comment 9 Bug Zapper 2010-07-30 06:30:54 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Fedora Admin XMLRPC Client 2010-11-08 16:53:25 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora Admin XMLRPC Client 2010-11-08 16:55:36 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Fedora Admin XMLRPC Client 2010-11-08 16:56:41 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Daniel Walsh 2011-10-04 09:47:59 EDT
Mock now works correctly with SELinux.

Note You need to log in before you can comment on or make changes to this bug.